Rails.application.routes.draw do
  
  get "evenements/:id.html" => "public/events#show", :as => "public_event"
  get "evenements.html" => "public/events#index", :as => "public_events"
  get 'blog/:id.html' => "public/articles#show", :as => "public_article"
  
  
    
  get "blog/archives/:year/:month.html"=> "public/articles#archives", :as => :archive_public_article 
  get "blog/tags/:id.html"=> "public/articles#tags", :as => :public_tag 
	get "categorie/:slug.:f"=> "public/articles#category", :as => :category_public_article, :f => "html"
  
  
	get 'blog/:slug.:f' => 'public/articles#show', :as => :article, :f => "html"
	get 'blog.:f' => 'public/articles#index', :as => :articles, :f => "html"
	
  
  get "sitemap.:f" => "public/sitemap#sitemap"
  namespace :public do
    resources :comments
    resources :sejours
  end
  
  namespace :portlet do
    resources :event_contents
    resources :break_contents
    resources :download_contents
    resources :dynamic_contents
    resources :gallery_contents
    resources :gallery_images do
      collection do
        get :reorder
      end
    end
    resources :html_contents
    resources :image_contents
    resources :link_contents
    resources :img_link_contents
    resources :text_contents
    resources :map_contents
    resources :title_contents
    resources :table_contents
    resources :block_contents
    resources :table_rows
    resources :table_cols
    resources :portlets do
      collection do
        post :reorder
      end
    end
  end
  
  namespace :admin do
    resources :sejours
		resources :categories do
			collection do
				post :reorder
			end
		end
    resources :comments
    resources :articles
    resources :events
    
    resources :tags
    resources :password_resets
    
    resources :admin_auths do
        collection do 
          get :logout
        end
    end
    
    resources :admins
    
  
    
    resources :external_links do
      collection do
        get :cible
      end
    end
    
  
    resources :menus
    resources :menu_items do
      collection do
        get :cible
        post :reorder
        get :import
      end
      member do
        get :clone
      end
    end
    resources :image_files do
      member do
        get :rotate
      end
    end
    resources :file_folders
    resources :data_files
    resources :pages
    resources :menu_urls
    resources :menu_aliases
    resources :blocks
    resources :albums
    resources :cibles
  

  end
  
  resources :download_data_files

  

  get 'admin' => "admin/admin_auths#index"
  
  
  
  
  
  match '*url.html' => 'public/menu_items#show', :as => :menu_item, :f => "html" , via: [:get, :post]
  get '*url.:f' => 'public/menu_items#redirect',  :f => "html"
  
  root 'public/menu_items#show'
  
  
  
end
